Ticket #137 (closed bug: fixed)

Opened 12 years ago

Last modified 8 years ago

Saffire's hardware control checkbox not initialized correctly at startup

Reported by: ppalmers Assigned to:
Priority: major Milestone: FFADO 2.1
Component: Version: FFADO 2.0-beta6 (1.999.36)
Keywords: Cc:
The device the bug applies to: Focusrite Saffire

Description

When starting ffadomixer, the "hardware control" checkbox is not initialized correctly. This is due to the fact that the device doesn't report back the current value of this control. This needs a software workaround.

Change History

10/25/08 01:23:59 changed by ppalmers

  • milestone changed from FFADO 2.1 to FFADO 2.0.

- When Hardware Level Control is on, the main level slider (and also the main volume gain...) can only take 3 different values: -infinity, -6dB, 0dB. When HLC is off, everything seems OK. This one is a bit weird : when turning the main level knob slowly, the slider is stuck to these 3 values, but when turning it fast it seems to take intermediate values as well. - Also when HLC is on, mute/level dim switch presses are not shown in ffadomixer. Hitting "Refresh" doesn't help (and also makes the HLC checkbox unchecked btw)

11/22/09 10:17:38 changed by ppalmers

  • milestone changed from FFADO 2.0 to FFADO 2.1.

The issues with hardware control of the slider seem to be resolved in the current 2.0 version.

The problem that the hardware control checkbox is not initialized properly is postponed to 2.1.

03/27/12 07:16:49 changed by jwoithe

Is this still an issue in trunk? If so I'd like to postpone to at least 2.2 since I can't see it being resolved quickly. If not this ticket should be closed.

06/01/12 04:25:59 changed by jwoithe

  • status changed from new to closed.
  • resolution set to fixed.

With no further feedback provided and the note in comment 2 suggesting that at least part of this ticket has been addressed, I'll close this as "fixed". If future testing with recent software versions demonstrates that the problem with the hardware control checkbox is still present the ticket can be re-opened.